-- deathmsg
-- jadedctrl; GPLv3+

minetest.register_on_dieplayer(function(player)
	messages = { "~ has had life torn violently from their grasp.",
		"~ swore on their life… too bad it was a bluff.",
		"~ was killed by the invisible hand.",
		"I guess ~ couldn't take the heat.",
		"~ wasn't a supporter of social Darwinsim, obviously.",
		"~ wasn't worthy anyway.",
		"Oh, hey, side-note: ~'s a bit in the ground.",
		"~'s ghost wants to have a word with you.",
		 "God hate ~'s guts.",
		 "Don't be upset, but ~'s malfunctioned.",
		 "~ is broken, but their lifetime warranty doesn't cover death." }

	messageno = math.random(1, table.getn(messages))

	message = messages[messageno]
	message = message:gsub("~", player:get_player_name())

	minetest.chat_send_all(message)
end)
